gtkmm: Gtk::Notebook Class Reference

gtkmm 2.24.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gtk::Notebook Class Reference
Widgets | Container Widgets

Container which shows one of its children at a time, in tabbed windows. More...

Inheritance diagram for Gtk::Notebook:
[legend]
Collaboration diagram for Gtk::Notebook:
[legend]

## Public Types
typedef Notebook_Helpers::PageList | PageList
typedef sigc::slot< Notebook *, Widget*, int, int > | SlotWindowCreation
| For instance, Notebook* on_window_creation(Widget* page, int x, int y);. More...
Public Types inherited from Gtk::Container
typedef sigc::slot< void, Widget& > | ForeachSlot
| For instance, void on_foreach(Gtk::Widget* widget);. More...

## Public Member Functions
virtual | ~Notebook ()
GtkNotebook* | gobj ()
| Provides access to the underlying C GtkObject. More...
const GtkNotebook* | gobj () const
| Provides access to the underlying C GtkObject. More...
| Notebook ()
int | prepend_page (Widget& child, Widget& tab_label)
| Prepends a page to notebook. More...
int | prepend_page (Widget& child)
int | prepend_page (Widget& child, const Glib::ustring& tab_label, bool use_mnemonic=false)
int | prepend_page (Widget& child, Widget& tab_label, Widget& menu_label)
| Prepends a page to notebook, specifying the widget to use as the label in the popup menu. More...
int | prepend_page (Widget& child, const Glib::ustring& tab_label, const Glib::ustring& menu_label, bool use_mnemonic)
int | append_page (Widget& child, Widget& tab_label)
| Appends a page to notebook. More...
int | append_page (Widget& child)
int | append_page (Widget& child, const Glib::ustring& tab_label, bool use_mnemonic=false)
int | append_page (Widget& child, Widget& tab_label, Widget& menu_label)
| Appends a page to notebook, specifying the widget to use as the label in the popup menu. More...
int | append_page (Widget& child, const Glib::ustring& tab_label, const Glib::ustring& menu_label, bool use_mnemonic=false)
int | insert_page (Widget& child, Widget& tab_label, int position)
| Insert a page into notebook at the given position. More...
int | insert_page (Widget& child, int position)
int | insert_page (Widget& child, const Glib::ustring& tab_label, int position, bool use_mnemonic=false)
int | insert_page (Widget& child, Widget& tab_label, Widget& menu_label, int position)
| Insert a page into notebook at the given position, specifying the widget to use as the label in the popup menu. More...
int | insert_page (Widget& child, const Glib::ustring& tab_label, const Glib::ustring& menu_label, int position, bool use_mnemonic=false)
void | remove_page (int page_num=0)
| Removes a page from the notebook given its index in the notebook. More...
void | remove_page (Widget& child)
void | set_group_id (int group_id)
| Sets an group identificator for notebook, notebooks sharing the same group identificator will be able to exchange tabs via drag and drop. More...
int | get_group_id () const
| Gets the current group identificator for notebook. More...
void | set_group (void* group)
| Sets a group identificator pointer for notebook, notebooks sharing the same group identificator pointer will be able to exchange tabs via drag and drop. More...
void* | get_group ()
| Gets the current group identificator pointer for notebook. More...
const void* | get_group () const
| Gets the current group identificator pointer for notebook. More...
void | set_group_name (const Glib::ustring& group_name)
| Sets a group name for notebook. More...
Glib::ustring | get_group_name () const
| Gets the current group name for notebook. More...
int | get_current_page () const
| Returns the page number of the current page. More...
Widget* | get_nth_page (int page_num)
| Returns the child widget contained in page number page_num. More...
const Widget* | get_nth_page (int page_num) const
| Returns the child widget contained in page number page_num. More...
int | get_n_pages ()
| Gets the number of pages in a notebook. More...
int | get_n_pages () const
| Gets the number of pages in a notebook. More...
int | page_num (const Widget& child)
| Finds the index of the page which contains the given child widget. More...
int | page_num (const Widget& child) const
| Finds the index of the page which contains the given child widget. More...
void | set_current_page (int page_num)
| Switches to the page number page_num. More...
void | next_page ()
| Switches to the next page. More...
void | prev_page ()
| Switches to the previous page. More...
void | set_show_border (bool show_border=true)
| Sets whether a bevel will be drawn around the notebook pages. More...
bool | get_show_border () const
| Returns whether a bevel will be drawn around the notebook pages. More...
void | set_show_tabs (bool show_tabs=true)
| Sets whether to show the tabs for the notebook or not. More...
bool | get_show_tabs () const
| Returns whether the tabs of the notebook are shown. More...
void | set_tab_pos (PositionType pos)
| Sets the edge at which the tabs for switching pages in the notebook are drawn. More...
PositionType | get_tab_pos () const
| Gets the edge at which the tabs for switching pages in the notebook are drawn. More...
void | set_scrollable (bool scrollable=true)
| Sets whether the tab label area will have arrows for scrolling if there are too many tabs to fit in the area. More...
bool | get_scrollable () const
| Returns whether the tab label area has arrows for scrolling. More...
guint16 | get_tab_hborder () const
| Returns the horizontal width of a tab border. More...
guint16 | get_tab_vborder () const
| Returns the vertical width of a tab border. More...
void | popup_enable ()
| Enables the popup menu: if the user clicks with the right mouse button on the tab labels, a menu with all the pages will be popped up. More...
void | popup_disable ()
| Disables the popup menu. More...
Widget* | get_tab_label (Widget& child)
| Returns the tab label widget for the page child. More...
const Widget* | get_tab_label (Widget& child) const
| Returns the tab label widget for the page child. More...
void | set_tab_label (Widget& child, Widget& tab_label)
| Changes the tab label for child. More...
void | set_tab_label_text (Widget& child, const Glib::ustring& tab_text)
| Creates a new label and sets it as the tab label for the page containing child. More...
Glib::ustring | get_tab_label_text (Widget& child) const
| Retrieves the text of the tab label for the page containing child. More...
Widget* | get_menu_label (Widget& child)
| Retrieves the menu label widget of the page containing child. More...
const Widget* | get_menu_label (Widget& child) const
| Retrieves the menu label widget of the page containing child. More...
void | set_menu_label (Widget& child, Widget& menu_label)
| Changes the menu label for the page containing child. More...
void | set_menu_label_text (Widget& child, const Glib::ustring& menu_text)
| Creates a new label and sets it as the menu label of child. More...
Glib::ustring | get_menu_label_text (Widget& child) const
| Retrieves the text of the menu label for the page containing child. More...
void | query_tab_label_packing (Widget& child, bool& expand, bool&fill, PackType& pack_type)
void | set_tab_label_packing (Widget& child, bool expand, bool fill, PackType pack_type)
| Sets the packing parameters for the tab label of the page containing child. More...
void | reorder_child (Widget& child, int position)
| Reorders the page containing child, so that it appears in position position. More...
bool | get_tab_reorderable (Widget& child) const
| Gets whether the tab can be reordered via drag and drop or not. More...
void | set_tab_reorderable (Widget& child, bool reorderable=true)
| Sets whether the notebook tab can be reordered via drag and drop or not. More...
bool | get_tab_detachable (Widget& child) const
| Returns whether the tab contents can be detached from notebook. More...
void | set_tab_detachable (Widget& child, bool detachable=true)
| Sets whether the tab can be detached from notebook to another notebook or widget. More...
Widget* | get_action_widget (PackType pack_type=PACK_START)
| Gets one of the action widgets. More...
void | set_action_widget (Widget* widget, PackType pack_type=PACK_START)
| Sets widget as one of the action widgets. More...
PageList::iterator | get_current ()
PageList& | pages ()
const PageList& | pages () const
Glib::SignalProxy2< void, GtkNotebookPage*, guint > | signal_switch_page ()
Glib::SignalProxy2< void, Widget*, guint > | signal_page_reordered ()
Glib::SignalProxy2< void, Widget*, guint > | signal_page_removed ()
Glib::SignalProxy2< void, Widget*, guint > | signal_page_added ()
Glib::PropertyProxy< PositionType > | property_tab_pos ()
| Which side of the notebook holds the tabs. More...
Glib::PropertyProxy_ReadOnly < PositionType > | property_tab_pos () const
| Which side of the notebook holds the tabs. More...
Glib::PropertyProxy< bool > | property_show_tabs ()
| Whether tabs should be shown or not. More...
Glib::PropertyProxy_ReadOnly < bool > | property_show_tabs () const
| Whether tabs should be shown or not. More...
Glib::PropertyProxy< bool > | property_show_border ()
| Whether the border should be shown or not. More...
Glib::PropertyProxy_ReadOnly < bool > | property_show_border () const
| Whether the border should be shown or not. More...
Glib::PropertyProxy< bool > | property_scrollable ()
| If TRUE, scroll arrows are added if there are too many tabs to fit. More...
Glib::PropertyProxy_ReadOnly < bool > | property_scrollable () const
| If TRUE, scroll arrows are added if there are too many tabs to fit. More...
Glib::PropertyProxy_WriteOnly < guint > | property_tab_border ()
| Width of the border around the tab labels. More...
Glib::PropertyProxy< guint > | property_tab_hborder ()
| Width of the horizontal border of tab labels. More...
Glib::PropertyProxy_ReadOnly < guint > | property_tab_hborder () const
| Width of the horizontal border of tab labels. More...
Glib::PropertyProxy< guint > | property_tab_vborder ()
| Width of the vertical border of tab labels. More...
Glib::PropertyProxy_ReadOnly < guint > | property_tab_vborder () const
| Width of the vertical border of tab labels. More...
Glib::PropertyProxy< int > | property_page ()
| The index of the current page. More...
Glib::PropertyProxy_ReadOnly< int > | property_page () const
| The index of the current page. More...
Glib::PropertyProxy< bool > | property_enable_popup ()
| If TRUE, pressing the right mouse button on the notebook pops up a menu that you can use to go to a page. More...
Glib::PropertyProxy_ReadOnly < bool > | property_enable_popup () const
| If TRUE, pressing the right mouse button on the notebook pops up a menu that you can use to go to a page. More...
Glib::PropertyProxy< bool > | property_homogeneous ()
| Whether tabs should have homogeneous sizes. More...
Glib::PropertyProxy_ReadOnly < bool > | property_homogeneous () const
| Whether tabs should have homogeneous sizes. More...
Glib::PropertyProxy< int > | property_group_id ()
| Group ID for tabs drag and drop. More...
Glib::PropertyProxy_ReadOnly< int > | property_group_id () const
| Group ID for tabs drag and drop. More...
Glib::PropertyProxy< void* > | property_group ()
| Group for tabs drag and drop. More...
Glib::PropertyProxy_ReadOnly < void* > | property_group () const
| Group for tabs drag and drop. More...
Public Member Functions inherited from Gtk::Container
virtual | ~Container ()
GtkContainer* | gobj ()
| Provides access to the underlying C GtkObject. More...
const GtkContainer* | gobj () const
| Provides access to the underlying C GtkObject. More...
void | set_border_width (guint border_width)
| Sets the border width of the container. More...
guint | get_border_width () const
| Retrieves the border width of the container. More...
virtual void | add (Widget& widget)
void | remove (Widget& widget)
| Removes widget from container. More...
void | set_resize_mode (ResizeMode resize_mode)
| Sets the resize mode for the container. More...
ResizeMode | get_resize_mode () const
| Returns the resize mode for the container. More...
void | check_resize ()
| Request that contained widgets check their size. More...
void | foreach (const ForeachSlot& slot)
| Operate on contained items This is largely an internal used mainly for things like creating duplicates of internal lists and other such operations. More...
Glib::ListHandle< Widget* > | get_children ()
| (internal) Operate on contained items (see foreach()) More...
Glib::ListHandle< const Widget* > | get_children () const
| Returns the container's non-internal children. More...
void | propagate_expose (Widget& child, GdkEventExpose*event)
| When a container receives an expose event, it must send synthetic expose events to all children that don't have their own Gdk::Windows. More...
void | set_focus_chain (const Glib::ListHandle< Widget* >& focusable_widgets)
| Sets a focus chain, overriding the one computed automatically by GTK+. More...
bool | has_focus_chain () const
Glib::ListHandle< Widget* > | get_focus_chain ()
Glib::ListHandle< const Widget* > | get_focus_chain () const
void | unset_focus_chain ()
| Removes a focus chain explicitly set with set_focus_chain(). More...
void | set_reallocate_redraws (bool needs_redraws=true)
| Sets the reallocate_redraws flag of the container to the given value. More...
void | set_focus_child (Widget& widget)
| Sets the focus on a child. More...
void | set_focus_vadjustment (Adjustment& adjustment)
| Hooks up an adjustment to focus handling in a container, so when a child of the container is focused, the adjustment is scrolled to show that widget. More...
Adjustment* | get_focus_vadjustment ()
| Retrieves the vertical focus adjustment for the container. More...
const Adjustment* | get_focus_vadjustment () const
| Retrieves the vertical focus adjustment for the container. More...
void | set_focus_hadjustment (Adjustment& adjustment)
| Hooks up an adjustment to focus handling in a container, so when a child of the container is focused, the adjustment is scrolled to show that widget. More...
Adjustment* | get_focus_hadjustment ()
| Retrieves the horizontal focus adjustment for the container. More...
const Adjustment* | get_focus_hadjustment () const
| Retrieves the horizontal focus adjustment for the container. More...
void | resize_children ()
GType | child_type () const
| Returns the type of the children supported by the container. More...
Glib::SignalProxy1< void, Widget* > | signal_add ()
Glib::SignalProxy1< void, Widget* > | signal_remove ()
Glib::SignalProxy0< void > | signal_check_resize ()
Glib::SignalProxy1< void, Widget* > | signal_set_focus_child ()
void | show_all_children (bool recursive=true)
Public Member Functions inherited from Gtk::Widget
virtual | ~Widget ()
GtkWidget* | gobj ()
| Provides access to the underlying C GtkObject. More...
const GtkWidget* | gobj () const
| Provides access to the underlying C GtkObject. More...
bool | set_scroll_adjustments (Adjustment& hadjustment, Adjustment& vadjustment)
| For widgets that support scrolling, sets the scroll adjustments and returns `true`. More...
void | show ()
| Flags a widget to be displayed. More...
void | show_now ()
| Shows a widget. More...
void | hide ()
| Reverses the effects of show(), causing the widget to be hidden (invisible to the user). More...
void | show_all ()
| Recursively shows a widget, and any child widgets (if the widget is a container). More...
void | hide_all ()
| Recursively hides a widget and any child widgets. More...
void | queue_draw ()
| Equivalent to calling queue_draw_area() for the entire area of a widget. More...
void | queue_draw_area (int x, int y, int width, int height)
| Invalidates the rectangular area of widget defined by x, y, width and height by calling gdk_window_invalidate_rect() on the widget's window and all its child windows. More...
void | queue_resize ()
| This function is only for use in widget implementations. More...
Requisition | size_request () const
| This function is typically used when implementing a Gtk::Container subclass. More...
void | size_request (const Requisition& requisition)
| This function is typically used when implementing a Gtk::Container subclass. More...
void | size_allocate (const Allocation& allocation)
| This function is only used by Gtk::Container subclasses, to assign a size and position to their child widgets. More...
void | add_accelerator (const Glib::ustring& accel_signal, const Glib::RefPtr< AccelGroup >& accel_group, guint accel_key, Gdk::ModifierType accel_mods, AccelFlags accel_flags)
| Installs an accelerator for this widget in accel_group that causes accel_signal to be emitted if the accelerator is activated. More...
bool | remove_accelerator (const Glib::RefPtr< AccelGroup >& accel_group, guint accel_key, Gdk::ModifierType accel_mods)
| Removes an accelerator from widget, previously installed with add_accelerator(). More...
void | set_accel_path (const Glib::ustring& accel_path, const Glib::RefPtr< AccelGroup >& accel_group)
| Given an accelerator group, accel_group, and an accelerator path, accel_path, sets up an accelerator in accel_group so whenever the key binding that is defined for accel_path is pressed, widget will be activated. More...
bool | mnemonic_activate (bool group_cycling)
| Emits the Gtk::Widget::signal_mnemonic_activate() signal. More...
bool | event (GdkEvent* event)
| Rarely-used function. More...
int | send_expose (GdkEvent*event)
| Very rarely-used function. More...
bool | send_focus_change (GdkEvent*event)
| Sends the focus change event to widget. More...
bool | activate ()
| For widgets that can be "activated" (buttons, menu items, etc.) this function activates them. More...
void | reparent (Widget& new_parent)
| Moves a widget from one Gtk::Container to another, handling reference count issues to avoid destroying the widget. More...
bool | intersect (const Gdk::Rectangle& area) const
bool | intersect (const Gdk::Rectangle& area, Gdk::Rectangle& intersection) const
| Computes the intersection of a widget's area and area, storing the intersection in intersection, and returns `true` if there was an intersection. More...
Gdk::Region | region_intersect (const Gdk::Region& region) const
| Computes the intersection of a widget's area and region, returning the intersection. More...
void | freeze_child_notify ()
| Stops emission of Gtk::Widget::signal_child_notify() signals on widget. More...
void | child_notify (const Glib::ustring& child_property)
| Emits a Gtk::Widget::signal_child_notify() signal for the child property child_property on widget. More...
void | thaw_child_notify ()
| Reverts the effect of a previous call to freeze_child_notify(). More...
void | set_can_focus (bool can_focus=true)
| Specifies whether widget can own the input focus. More...
bool | get_can_focus () const
| Determines whether widget can own the input focus. More...
bool | can_focus () const
| Determines whether widget can own the input focus. More...
bool | has_focus () const
| Determines if the widget has the global input focus. More...
bool | is_focus () const
| Determines if the widget is the focus widget within its toplevel. More...
void | grab_focus ()
| Causes widget to have the keyboard focus for the Gtk::Window it's inside. More...
void | set_can_default (bool can_default=true)
| Specifies whether widget can be a default widget. More...
bool | get_can_default () const
| Determines whether widget can be a default widget. More...
bool | can_default () const
| Determines whether widget can be a default widget. More...
bool | has_default () const
| Determines whether widget is the current default widget within its toplevel. More...
void | grab_default ()
| Causes widget to become the default widget. More...
void | set_receives_default (bool receives_default=true)
| Specifies whether widget will be treated as the default widget within its toplevel when it has the focus, even if another widget is the default. More...
bool | get_receives_default () const
| Determines whether widget is alyways treated as default widget withing its toplevel when it has the focus, even if another widget is the default. More...
bool | has_grab () const
| Determines whether the widget is currently grabbing events, so it is the only widget receiving input events (keyboard and mouse). More...
void | add_modal_grab ()
| Block events to everything else than this widget and its children. More...
void | remove_modal_grab ()
| Remove the modal grab of the widget in case it was previously grabbed. More...
void | set_name (const Glib::ustring& name)
| Widgets can be named, which allows you to refer to them from a gtkrc file. More...
void | unset_name ()
Glib::ustring | get_name () const
| Retrieves the name of a widget. More...
void | set_state (StateType state)
| This function is for use in widget implementations. More...
StateType | get_state () const
| Returns the widget's state. More...
void | set_sensitive (bool sensitive=true)
| Sets the sensitivity of a widget. More...
bool | get_sensitive () const
| Returns the widget's sensitivity (in the sense of returning the value that has been set using set_sensitive()). More...
bool | is_sensitive () const
| Returns the widget's effective sensitivity, which means it is sensitive itself and also its parent widget is sensntive. More...
void | set_visible (bool visible=true)
| Sets the visibility state of widget. More...
bool | get_visible () const
| Determines whether the widget is visible. More...
void | set_has_window (bool has_window=true)
| Specifies whether widget has a Gdk::Window of its own. More...
bool | get_has_window () const
| Determines whether widget has a Gdk::Window of its own. More...
bool | get_is_toplevel () const
| Determines whether widget is a toplevel widget. More...
bool | get_is_drawable () const
| Determines whether widget can be drawn to. More...
bool | get_realized () const
| Determines whether widget is realized. More...
bool | get_mapped () const
| Whether the widget is mapped. More...
void | set_app_paintable (bool app_paintable=true)
| Sets whether the application intends to draw on the widget in an Gtk::Widget::signal_expose_event() handler. More...
bool | get_app_paintable () const
| Determines whether the application intends to draw on the widget in an Gtk::Widget::signal_expose_event() handler. More...
void | set_double_buffered (bool double_buffered=true)
| Widgets are double buffered by default; you can use this function to turn off the buffering. More...
bool | get_double_buffered () const
| Determines whether the widget is double buffered. More...
void | set_redraw_on_allocate (bool redraw_on_allocate=true)
| Sets whether the entire widget is queued for drawing when its size allocation changes. More...
void | set_child_visible (bool is_visible=true)
| Sets whether widget should be mapped along with its when its parent is mapped and widget has been shown with show(). More...
bool | get_child_visible () const
| Gets the value set with set_child_visible(). More...
void | set_window (const Glib::RefPtr< Gdk::Window >& window)
| Sets a widget's window. More...
Glib::RefPtr< Gdk::Window > | get_window ()
| Returns the widget's window if it is realized, `0` otherwise. More...
Glib::RefPtr< const Gdk::Window > | get_window () const
| Returns the widget's window if it is realized, `0` otherwise. More...
Allocation | get_allocation () const
| Retrieves the widget's location. More...
void | set_allocation (const Allocation& allocation)
| Sets the widget's allocation. More...
Container* | get_parent ()
| Returns the parent container of widget. More...
const Container* | get_parent () const
| Returns the parent container of widget. More...
Glib::RefPtr< Gdk::Window > | get_parent_window ()
| Gets widget's parent window. More...
Glib::RefPtr< const Gdk::Window > | get_parent_window () const
| Gets widget's parent window. More...
void | set_parent_window (const Glib::RefPtr< const Gdk::Window >& parent_window)
| Sets a non default parent window for widget. More...
bool | child_focus (DirectionType direction)
| This function is used by custom widget implementations; if you're writing an app, you'd use grab_focus() to move the focus to a particular widget, and Gtk::Container::set_focus_chain() to change the focus tab order. More...
bool | keynav_failed (DirectionType direction)
| This function should be called whenever keyboard navigation within a single widget hits a boundary. More...
void | error_bell ()
| Notifies the user about an input-related error on this widget. More...
void | set_size_request (int width=-1, int height=-1)
| Sets the minimum size of a widget; that is, the widget's size request will be width by height. More...
void | get_size_request (int& width, int& height) const
| Gets the size request that was explicitly set for the widget using set_size_request(). More...
void | set_events (Gdk::EventMask events)
| Sets the event mask (see Gdk::EventMask) for a widget. More...
void | add_events (Gdk::EventMask events)
| Adds the events in the bitfield events to the event mask for widget. More...
void | set_extension_events (Gdk::ExtensionMode mode)
| Sets the extension events mask to mode. More...
Gdk::ExtensionMode | get_extension_events () const
| Retrieves the extension events the widget will receive; see gdk_input_set_extension_events(). More...
Container* | get_toplevel ()
| This function returns the topmost widget in the container hierarchy widget is a part of. More...
const Container* | get_toplevel () const
| This function returns the topmost widget in the container hierarchy widget is a part of. More...
Widget* | get_ancestor (GType widget_type)
| Gets the first ancestor of widget with type widget_type. More...
const Widget* | get_ancestor (GType widget_type) const
| Gets the first ancestor of widget with type widget_type. More...
Glib::RefPtr< Gdk::Colormap > | get_colormap ()
| Gets the colormap that will be used to render widget. More...
Glib::RefPtr< Gdk::Visual > | get_visual ()
| Gets the visual that will be used to render widget. More...
Glib::RefPtr< Gdk::Screen > | get_screen ()
| Get the Gdk::Screen from the toplevel window associated with this widget. More...
Glib::RefPtr< const Gdk::Screen > | get_screen () const
| Get the Gdk::Screen from the toplevel window associated with this widget. More...
bool | has_screen () const
| Checks whether there is a Gdk::Screen is associated with this widget. More...
Glib::RefPtr< Gdk::Display > | get_display ()
| Get the Gdk::Display for the toplevel window associated with this widget. More...
Glib::RefPtr< const Gdk::Display > | get_display () const
| Get the Gdk::Display for the toplevel window associated with this widget. More...
Glib::RefPtr< Gdk::Window > | get_root_window ()
| Get the root window where this widget is located. More...
Glib::RefPtr< const Gdk::Window > | get_root_window () const
| Get the root window where this widget is located. More...
Glib::RefPtr< Settings > | get_settings ()
| Gets the settings object holding the settings (global property settings, RC file information, etc) used for this widget. More...
Glib::RefPtr< Clipboard > | get_clipboard (const Glib::ustring& selection)
| Returns the clipboard object for the given selection to be used with widget. More...
Glib::RefPtr< const Clipboard > | get_clipboard (const Glib::ustring& selection) const
| Returns the clipboard object for the given selection to be used with widget. More...
Glib::RefPtr< Gdk::Pixmap > | get_snapshot (Gdk::Rectangle& clip_rect) const
| Create a Gdk::Pixmap of the contents of the widget and its children. More...
Glib::RefPtr< Gdk::Pixmap > | get_snapshot () const
| Create a Gdk::Pixmap of the contents of the widget and its children. More...
Glib::RefPtr< Atk::Object > | get_accessible ()
| Returns the accessible object that describes the widget to an assistive technology. More...
Glib::RefPtr< const Atk::Object > | get_accessible () const
| Returns the accessible object that describes the widget to an assistive technology. More...
void | set_colormap (const Glib::RefPtr< const Gdk::Colormap >& colormap)
| Sets the colormap for the widget to the given value. More...
Gdk::EventMask | get_events () const
| Returns the event mask for the widget (a bitfield containing flags from the Gdk::EventMask enumeration). More...
void | get_pointer (int& x, int& y) const
| Obtains the location of the mouse pointer in widget coordinates. More...
bool | is_ancestor (Widget& ancestor) const
| Determines whether widget is somewhere inside ancestor, possibly with intermediate containers. More...
bool | translate_coordinates (Widget& dest_widget, int src_x, int src_y, int& dest_x, int& dest_y)
| Translate coordinates relative to src_widget's allocation to coordinates relative to dest_widget's allocations. More...
bool | has_rc_style () const
| Determines if the widget style has been looked up through the rc mechanism. More...
void | set_style (const Glib::RefPtr< Style >& style)
| Sets the Gtk::Style for a widget ( widget->style). More...
void | unset_style ()
void | ensure_style ()
| Ensures that widget has a style ( widget->style). More...
Glib::RefPtr< Style > | get_style ()
| Simply an accessor function that returns widget->style. More...
Glib::RefPtr< const Style > | get_style () const
| Simply an accessor function that returns widget->style. More...
void | modify_style (const Glib::RefPtr< RcStyle >& style)
| Modifies style values on the widget. More...
Glib::RefPtr< RcStyle > | get_modifier_style ()
| Returns the current modifier style for the widget. More...
Glib::RefPtr< const RcStyle > | get_modifier_style () const
| Returns the current modifier style for the widget. More...
void | modify_fg (StateType state, const Gdk::Color& color)
| Sets the foreground color for a widget in a particular state. More...
void | modify_bg (StateType state, const Gdk::Color& color)
| Sets the background color for a widget in a particular state. More...
void | modify_bg_pixmap (StateType state, const Glib::ustring& pixmap_name)
void | modify_text (StateType state, const Gdk::Color& color)
| Sets the text color for a widget in a particular state. More...
void | modify_base (StateType state, const Gdk::Color& color)
| Sets the base color for a widget in a particular state. More...
void | modify_cursor (const Gdk::Color& primary, const Gdk::Color& secondary)
| Sets the cursor color to use in a widget, overriding the cursor_color and secondary_cursor_color style properties. More...
void | unset_cursor ()
| See modify_cursor(). More...
void | modify_font (const Pango::FontDescription& font_desc)
| Sets the font to use for a widget. More...
void | unset_fg (StateType state)
| Undo the effect of previous calls to modify_fg() for a particular state. More...
void | unset_bg (StateType state)
| Undo the effect of previous calls to modify_bg() for a particular state. More...
void | unset_text (StateType state)
| Undo the effect of previous calls to modify_text() for a particular state. More...
void | unset_base (StateType state)
| Undo the effect of previous calls to modify_base() for a particular state. More...
void | unset_font ()
| Undo the effect of previous calls to modify_font() for a particular state. More...
template<class PropertyType >
void | get_style_property (const Glib::ustring& the_property_name, PropertyType& value) const
Glib::RefPtr< Pango::Context > | create_pango_context ()
| Creates a new Pango::Context with the appropriate font map, font description, and base direction for drawing text for this widget. More...
Glib::RefPtr< Pango::Context > | get_pango_context ()
| Gets a Pango::Context with the appropriate font map, font description, and base direction for this widget. More...
Glib::RefPtr< Pango::Layout > | create_pango_layout (const Glib::ustring& text)
| Creates a new Pango::Layout with the appropriate font map, font description, and base direction for drawing text for this widget. More...
Glib::RefPtr< Gdk::Pixbuf > | render_icon (const StockID& stock_id, IconSize size, const Glib::ustring& detail=Glib::ustring())
| A convenience function that uses the theme engine and RC file settings for the widget to look up stock_id and render it to a pixbuf. More...
void | set_composite_name (const Glib::ustring& name)
| Sets a widgets composite name. More...
void | unset_composite_name ()
Glib::ustring | get_composite_name () const
| Obtains the composite name of a widget. More...
void | reset_rc_styles ()
| Reset the styles of widget and all descendents, so when they are looked up again, they get the correct values for the currently loaded RC file settings. More...
void | set_direction (TextDirection dir)
| Sets the reading direction on a particular widget. More...
TextDirection | get_direction ()
| Gets the reading direction for a particular widget. More...
TextDirection | get_direction () const
| Gets the reading direction for a particular widget. More...
void | shape_combine_mask (const Glib::RefPtr< const Gdk::Bitmap >& shape_mask, int offset_x, int offset_y)
| Sets a shape for this widget's GDK window. More...
void | unset_shape_combine_mask ()
void | input_shape_combine_mask (const Glib::RefPtr< const Gdk::Bitmap >& shape_mask, int offset_x, int offset_y)
| Sets an input shape for this widget's GDK window. More...
void | unset_input_shape_combine_mask ()
void | reset_shapes ()
| Recursively resets the shape on this widget and its descendants. More...
void | path (Glib::ustring& path, Glib::ustring& path_reversed)
| Compute a widget's path of the form "GtkWindow.MyLabel". More...
void | class_path (Glib::ustring&path, Glib::ustring& path_reversed)
Glib::ListHandle< Widget* > | list_mnemonic_labels ()
| Returns a newly allocated list of the widgets, normally labels, for which this widget is a the target of a mnemonic (see for example, Gtk::Label::set_mnemonic_widget()). More...
Glib::ListHandle< const Widget* > | list_mnemonic_labels () const
| Returns a newly allocated list of the widgets, normally labels, for which this widget is a the target of a mnemonic (see for example, Gtk::Label::set_mnemonic_widget()). More...
void | add_mnemonic_label (Widget& label)
| Adds a widget to the list of mnemonic labels for this widget. More...
void | remove_mnemonic_label (Widget& label)
| Removes a widget from the list of mnemonic labels for this widget. More...
void | drag_get_data (const Glib::RefPtr< Gdk::DragContext >& context, Glib::ustring& target, guint32 time)
void | drag_get_data (const Glib::RefPtr< Gdk::DragContext >& context, const Glib::ustring& target, guint32 time)
void | drag_highlight ()
void | drag_unhighlight ()
void | drag_dest_set (DestDefaults flags=DestDefaults(0), Gdk::DragAction actions=Gdk::DragAction(0))
void | drag_dest_set (const ArrayHandle_TargetEntry& targets, DestDefaults flags=DEST_DEFAULT_ALL, Gdk::DragAction actions=Gdk::ACTION_COPY)
void | drag_dest_set_proxy (const Glib::RefPtr< Gdk::Window >& proxy_window, Gdk::DragProtocol protocol, bool use_coordinates)
void | drag_dest_unset ()
Glib::ustring | drag_dest_find_target (const Glib::RefPtr< Gdk::DragContext >& context, const Glib::RefPtr< TargetList >& target_list) const
| Looks for a match between context->targets and the dest_target_list, returning the first matching target, otherwise returning Gdk::NONE. More...
Glib::ustring | drag_dest_find_target (const Glib::RefPtr< Gdk::DragContext >& context) const
Glib::RefPtr< TargetList > | drag_dest_get_target_list ()
| Returns the list of targets this widget can accept from drag-and-drop. More...
Glib::RefPtr< const TargetList > | drag_dest_get_target_list () const
| Returns the list of targets this widget can accept from drag-and-drop. More...
void | drag_dest_set_target_list (const Glib::RefPtr< TargetList >& target_list)
| Sets the target types that this widget can accept from drag-and-drop. More...
void | drag_dest_add_text_targets ()
| Add the text targets supported by Gtk::Selection to the target list of the drag destination. More...
void | drag_dest_add_image_targets ()
| Add the image targets supported by Gtk::Selection to the target list of the drag destination. More...
void | drag_dest_add_uri_targets ()
| Add the URI targets supported by Gtk::Selection to the target list of the drag destination. More...
void | drag_source_set (const ArrayHandle_TargetEntry& targets, Gdk::ModifierType start_button_mask=Gdk::MODIFIER_MASK, Gdk::DragAction actions=Gdk::ACTION_COPY)
void | drag_source_unset ()
void | drag_source_set_icon (const Glib::RefPtr< Gdk::Colormap >& colormap, const Glib::RefPtr< Gdk::Pixmap >& pixmap, const Glib::RefPtr< Gdk::Bitmap >& mask)
| Sets the icon that will be used for drags from a particular widget from a pixmap/mask. More...
void | drag_source_set_icon (const Glib::RefPtr< Gdk::Pixbuf >& pixbuf)
| Sets the icon that will be used for drags from a particular widget from a Gdk::Pixbuf. More...
void | drag_source_set_icon (const StockID& stock_id)
| Sets the icon that will be used for drags from a particular source to a stock icon. More...
void | drag_source_set_icon (const Glib::ustring& icon_name)
| Sets the icon that will be used for drags from a particular source to a themed icon. More...
void | drag_source_add_text_targets ()
| Add the text targets supported by Gtk::Selection to the target list of the drag source. More...
void | drag_source_add_uri_targets ()
| Add the URI targets supported by Gtk::Selection to the target list of the drag source. More...
void | drag_source_add_image_targets ()
| Add the writable image targets supported by Gtk::Selection to the target list of the drag source. More...
Glib::RefPtr< Gdk::DragContext > | drag_begin (const Glib::RefPtr< TargetList >& targets, Gdk::DragAction actions, int button, GdkEvent*event)
| Initiates a drag on the source side. More...
bool | drag_check_threshold (int start_x, int start_y, int current_x, int current_y)
| Checks to see if a mouse drag starting at ( start_x, start_y) and ending at ( current_x, current_y) has passed the GTK+ drag threshold, and thus should trigger the beginning of a drag-and-drop operation. More...
void | drag_set_as_icon (const Glib::RefPtr< Gdk::DragContext >& context, int hot_x, int hot_y)
void | queue_resize_no_redraw ()
| This function works like queue_resize(), except that the widget is not invalidated. More...
bool | get_no_show_all () const
| Returns the current value of the GtkWidget:no-show-all property, which determines whether calls to show_all() and hide_all() will affect this widget. More...
void | set_no_show_all (bool no_show_all=true)
| Sets the Gtk::Widget::property_no_show_all() property, which determines whether calls to show_all() and hide_all() will affect this widget. More...
void | set_parent (Widget& parent)
| This function is useful only when implementing subclasses of Gtk::Container. More...
void | unparent ()
| This function is only for use in widget implementations. More...
void | map ()
| This function is only for use in widget implementations. More...
void | unmap ()
| This function is only for use in widget implementations. More...
void | draw_insertion_cursor (Glib::RefPtr< Gdk::Drawable > drawable, const Gdk::Rectangle& area, const Gdk::Rectangle& location, bool is_primary, TextDirection direction, bool draw_arrow=true)
void | set_tooltip_window (Window& widget)
| Replaces the default, usually yellow, window used for displaying tooltips with custom_window. More...
Window* | get_tooltip_window ()
| Returns the Gtk::Window of the current tooltip. More...
void | trigger_tooltip_query ()
| Triggers a tooltip query on the display where the toplevel of widget is located. More...
void | set_tooltip_text (const Glib::ustring& text)
| Sets text as the contents of the tooltip. More...
Glib::ustring | get_tooltip_text () const
| Gets the contents of the tooltip for widget. More...
void | set_tooltip_markup (const Glib::ustring& markup)
| Sets markup as the contents of the tooltip, which is marked up with the Pango text markup language. More...
Glib::ustring | get_tooltip_markup () const
| Gets the contents of the tooltip for widget. More...
void | set_has_tooltip (bool has_tooltip=TRUE)
| Sets the has-tooltip property on widget to has_tooltip. More...
bool | get_has_tooltip () const
| Returns the current value of the has-tooltip property. More...
bool | has_no_window () const
bool | is_realized () const
bool | is_mapped () const
bool | is_toplevel () const
bool | is_drawable () const
bool | is_visible () const
bool | sensitive () const
bool | app_paintable () const
bool | receives_default () const
bool | double_buffered () const
bool | parent_sensitive () const
bool | rc_style () const
bool | is_composite_child () const
| Returns trye if the widget is a composite child of its parent. More...
WidgetFlags | get_flags () const
void | set_flags (WidgetFlags flags)
void | unset_flags (WidgetFlags flags)
Gtk::StateType | get_saved_state () const
int | get_width () const
int | get_height () const
bool | is_composited () const
| Whether widget can rely on having its alpha channel drawn correctly. More...
Glib::RefPtr< Action > | get_action ()
| Returns the Gtk::Action that widget is a proxy for. More...
Glib::RefPtr< const Action > | get_action () const
| Returns the Gtk::Action that widget is a proxy for. More...
Requisition | get_requisition () const
| Retrieves the widget's requisition. More...
Glib::SignalProxy0< void > | signal_show ()
Glib::SignalProxy0< void > | signal_hide ()
Glib::SignalProxy0< void > | signal_map ()
| Emitted on mapping of a widget to the screen. More...
Glib::SignalProxy0< void > | signal_unmap ()
Glib::SignalProxy0< void > | signal_realize ()
| Emitted on realization of a widget. More...
Glib::SignalProxy0< void > | signal_unrealize ()
Glib::SignalProxy1< void, Requisition* > | signal_size_request ()
Glib::SignalProxy1< void, Allocation& > | signal_size_allocate ()
Glib::SignalProxy1< void, Gtk::StateType > | signal_state_changed ()
Glib::SignalProxy1< void, Widget* > | signal_parent_changed ()
| Informs objects that their parent changed. More...
Glib::SignalProxy1< void, Widget* > | signal_hierarchy_changed ()
Glib::SignalProxy1< void, const Glib::RefPtr< Gtk::Style >& > | signal_style_changed ()
| The style-set signal is emitted when a new style has been set on a widget. More...
Glib::SignalProxy1< void, TextDirection > | signal_direction_changed ()
Glib::SignalProxy1< void, bool > | signal_grab_notify ()
Glib::SignalProxy1< void, GParamSpec* > | signal_child_notify ()
| The ::child-notify signal is emitted for each child property that has changed on an object. More...
Glib::SignalProxy1< bool, bool > | signal_mnemonic_activate ()
Glib::SignalProxy0< void > | signal_grab_focus ()
Glib::SignalProxy1< bool, DirectionType > | signal_focus ()
Glib::SignalProxy1< bool, GdkEvent* > | signal_event ()
Glib::SignalProxy1< void, GdkEvent* > | signal_event_after ()
Glib::SignalProxy1< bool, GdkEventButton* > | signal_button_press_event ()
| Event triggered by user pressing button. More...
Glib::SignalProxy1< bool, GdkEventButton* > | signal_button_release_event ()
| Event triggered by user releasing button. More...
Glib::SignalProxy1< bool, GdkEventScroll* > | signal_scroll_event ()
Glib::SignalProxy1< bool, GdkEventMotion* > | signal_motion_notify_event ()
| Event triggered by user moving pointer. More...
Glib::SignalProxy1< bool, GdkEventAny* > | signal_delete_event ()
| The delete_event signal is emitted if a user requests that a toplevel window is closed. More...
Glib::SignalProxy1< bool, GdkEventExpose* > | signal_expose_event ()
| Event triggered by window requiring a refresh. More...
Glib::SignalProxy1< bool, GdkEventKey* > | signal_key_press_event ()
| Event triggered by a key press will widget has focus. More...
Glib::SignalProxy1< bool, GdkEventKey* > | signal_key_release_event ()
| Event triggered by a key release will widget has focus. More...
Glib::SignalProxy1< bool, GdkEventCrossing* > | signal_enter_notify_event ()
| Event triggered by pointer entering widget area. More...
Glib::SignalProxy1< bool, GdkEventCrossing* > | signal_leave_notify_event ()
| Event triggered by pointer leaving widget area. More...
Glib::SignalProxy1< bool, GdkEventConfigure* > | signal_configure_event ()
| Event triggered by a window resizing. More...
Glib::SignalProxy1< bool, GdkEventFocus* > | signal_focus_in_event ()
Glib::SignalProxy1< bool, GdkEventFocus* > | signal_focus_out_event ()
Glib::SignalProxy1< bool, GdkEventAny* > | signal_map_event ()
Glib::SignalProxy1< bool, GdkEventAny* > | signal_unmap_event ()
Glib::SignalProxy1< bool, GdkEventProperty* > | signal_property_notify_event ()
Glib::SignalProxy1< bool, GdkEventSelection* > | signal_selection_clear_event ()
Glib::SignalProxy1< bool, GdkEventSelection* > | signal_selection_request_event ()
Glib::SignalProxy1< bool, GdkEventSelection* > | signal_selection_notify_event ()
Glib::SignalProxy1< bool, GdkEventProximity* > | signal_proximity_in_event ()
Glib::SignalProxy1< bool, GdkEventProximity* > | signal_proximity_out_event ()
Glib::SignalProxy1< bool, GdkEventVisibility* > | signal_visibility_notify_event ()
Glib::SignalProxy1< bool, GdkEventClient* > | signal_client_event ()
Glib::SignalProxy1< bool, GdkEventAny* > | signal_no_expose_event ()
Glib::SignalProxy1< bool, GdkEventWindowState* > | signal_window_state_event ()
Glib::SignalProxy3< void, SelectionData&, guint, guint > | signal_selection_get ()
Glib::SignalProxy2< void, const SelectionData&, guint > | signal_selection_received ()
Glib::SignalProxy1< void, const Glib::RefPtr < Gdk::DragContext >& > | signal_drag_begin ()
| The drag_begin signal is emitted on the drag source when a drag is started. More...
Glib::SignalProxy1< void, const Glib::RefPtr < Gdk::DragContext >& > | signal_drag_end ()
| The drag_end signal is emitted on the drag source when a drag is finished. More...
Glib::SignalProxy4< void, const Glib::RefPtr < Gdk::DragContext > &, SelectionData&, guint, guint > | signal_drag_data_get ()
| The drag_data_get signal is emitted on the drag source when the drop site requests the data which is dragged. More...
Glib::SignalProxy1< void, const Glib::RefPtr < Gdk::DragContext >& > | signal_drag_data_delete ()
| The drag_data_delete signal is emitted on the drag source when a drag with the action Gdk::ACTION_MOVE is successfully completed. More...
Glib::SignalProxy2< bool, const Glib::RefPtr < Gdk::DragContext > &, DragResult > | signal_drag_failed ()
Glib::SignalProxy2< void, const Glib::RefPtr < Gdk::DragContext >&, guint > | signal_drag_leave ()
| The drag_leave signal is emitted on the drop site when the cursor leaves the widget. More...
Glib::SignalProxy4< bool, const Glib::RefPtr < Gdk::DragContext >&, int, int, guint > | signal_drag_motion ()
| The drag_motion signal is emitted on the drop site when the user moves the cursor over the widget during a drag. More...
Glib::SignalProxy4< bool, const Glib::RefPtr < Gdk::DragContext >&, int, int, guint > | signal_drag_drop ()
| The drag_drop signal is emitted on the drop site when the user drops the data onto the widget. More...
Glib::SignalProxy6< void, const Glib::RefPtr < Gdk::DragContext >&, int, int, const SelectionData &, guint, guint > | signal_drag_data_received ()
| The drag_data_received signal is emitted on the drop site when the dragged data has been received. More...
Glib::SignalProxy0 < Glib::RefPtr< Atk::Object > > | signal_get_accessible ()
Glib::SignalProxy1< void, const Glib::RefPtr < Gdk::Screen >& > | signal_screen_changed ()
Glib::SignalProxy0< void > | signal_composited_changed ()
Glib::SignalProxy0< bool > | signal_popup_menu ()
Glib::SignalProxy4< bool, int, int, bool, const Glib::RefPtr < Tooltip >& > | signal_query_tooltip ()
Glib::SignalProxy1< bool, GdkEventGrabBroken* > | signal_grab_broken_event ()
Glib::SignalProxy1< bool, GdkEventExpose* > | signal_damage_event ()
Glib::PropertyProxy < Glib::ustring > | property_name ()
| The name of the widget. More...
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_name () const
| The name of the widget. More...
Glib::PropertyProxy< Container* > | property_parent ()
| The parent widget of this widget. More...
Glib::PropertyProxy_ReadOnly < Container* > | property_parent () const
| The parent widget of this widget. More...
Glib::PropertyProxy< int > | property_width_request ()
| Override for width request of the widget, or -1 if natural request should be used. More...
Glib::PropertyProxy_ReadOnly< int > | property_width_request () const
| Override for width request of the widget, or -1 if natural request should be used. More...
Glib::PropertyProxy< int > | property_height_request ()
| Override for height request of the widget, or -1 if natural request should be used. More...
Glib::PropertyProxy_ReadOnly< int > | property_height_request () const
| Override for height request of the widget, or -1 if natural request should be used. More...
Glib::PropertyProxy< bool > | property_visible ()
| Whether the widget is visible. More...
Glib::PropertyProxy_ReadOnly < bool > | property_visible () const
| Whether the widget is visible. More...
Glib::PropertyProxy< bool > | property_sensitive ()
| Whether the widget responds to input. More...
Glib::PropertyProxy_ReadOnly < bool > | property_sensitive () const
| Whether the widget responds to input. More...
Glib::PropertyProxy< bool > | property_app_paintable ()
| Whether the application will paint directly on the widget. More...
Glib::PropertyProxy_ReadOnly < bool > | property_app_paintable () const
| Whether the application will paint directly on the widget. More...
Glib::PropertyProxy< bool > | property_can_focus ()
| Whether the widget can accept the input focus. More...
Glib::PropertyProxy_ReadOnly < bool > | property_can_focus () const
| Whether the widget can accept the input focus. More...
Glib::PropertyProxy< bool > | property_has_focus ()
| Whether the widget has the input focus. More...
Glib::PropertyProxy_ReadOnly < bool > | property_has_focus () const
| Whether the widget has the input focus. More...
Glib::PropertyProxy< bool > | property_is_focus ()
| Whether the widget is the focus widget within the toplevel. More...
Glib::PropertyProxy_ReadOnly < bool > | property_is_focus () const
| Whether the widget is the focus widget within the toplevel. More...
Glib::PropertyProxy< bool > | property_can_default ()
| Whether the widget can be the default widget. More...
Glib::PropertyProxy_ReadOnly < bool > | property_can_default () const
| Whether the widget can be the default widget. More...
Glib::PropertyProxy< bool > | property_has_default ()
| Whether the widget is the default widget. More...
Glib::PropertyProxy_ReadOnly < bool > | property_has_default () const
| Whether the widget is the default widget. More...
Glib::PropertyProxy< bool > | property_receives_default ()
| If TRUE, the widget will receive the default action when it is focused. More...
Glib::PropertyProxy_ReadOnly < bool > | property_receives_default () const
| If TRUE, the widget will receive the default action when it is focused. More...
Glib::PropertyProxy_ReadOnly < bool > | property_composite_child () const
| Whether the widget is part of a composite widget. More...
Glib::PropertyProxy < Glib::RefPtr< Style > > | property_style ()
| The style of the widget, which contains information about how it will look (colors etc). More...
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Style > > | property_style () const
| The style of the widget, which contains information about how it will look (colors etc). More...
Glib::PropertyProxy < Gdk::EventMask > | property_events ()
| The event mask that decides what kind of GdkEvents this widget gets. More...
Glib::PropertyProxy_ReadOnly < Gdk::EventMask > | property_events () const
| The event mask that decides what kind of GdkEvents this widget gets. More...
Glib::PropertyProxy < Gdk::ExtensionMode > | property_extension_events ()
| The mask that decides what kind of extension events this widget gets. More...
Glib::PropertyProxy_ReadOnly < Gdk::ExtensionMode > | property_extension_events () const
| The mask that decides what kind of extension events this widget gets. More...
Glib::PropertyProxy< bool > | property_has_tooltip ()
| Whether this widget has a tooltip. More...
Glib::PropertyProxy_ReadOnly < bool > | property_has_tooltip () const
| Whether this widget has a tooltip. More...
Glib::PropertyProxy < Glib::ustring > | property_tooltip_markup ()
| The contents of the tooltip for this widget. More...
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_tooltip_markup () const
| The contents of the tooltip for this widget. More...
Glib::PropertyProxy < Glib::ustring > | property_tooltip_text ()
| The contents of the tooltip for this widget. More...
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_tooltip_text () const
| The contents of the tooltip for this widget. More...
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gdk::Window > > | property_window () const
| The widget's window if it is realized. More...
Glib::PropertyProxy< bool > | property_no_show_all ()
| Whether gtk_widget_show_all() should not affect this widget. More...
Glib::PropertyProxy_ReadOnly < bool > | property_no_show_all () const
| Whether gtk_widget_show_all() should not affect this widget. More...
Glib::PropertyProxy< bool > | property_double_buffered ()
| Whether or not the widget is double buffered. More...
Glib::PropertyProxy_ReadOnly < bool > | property_double_buffered () const
| Whether or not the widget is double buffered. More...
Public Member Functions inherited from Gtk::Object
virtual | ~Object ()
GtkObject* | gobj ()
| Provides access to the underlying C GtkObject. More...
const GtkObject* | gobj () const
| Provides access to the underlying C GtkObject. More...
Glib::PropertyProxy< void* > | property_user_data ()
| Anonymous User Data Pointer. More...
Glib::PropertyProxy_ReadOnly < void* > | property_user_data () const
| Anonymous User Data Pointer. More...
Public Member Functions inherited from Glib::Object
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | freeze_notify ()
void | thaw_notify ()
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable (const trackable &src)
trackable & | operator= (const trackable &src)
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | remove_destroy_notify_callback (void *data) const
void | notify_callbacks ()

## Static Public Member Functions
static void | set_window_creation_hook (const SlotWindowCreation& slot)

## Protected Member Functions
virtual void | on_switch_page (GtkNotebookPage* page, guint page_num)
| This is a default handler for the signal signal_switch_page(). More...
Protected Member Functions inherited from Gtk::Container
virtual void | on_add (Widget* widget)
| This is a default handler for the signal signal_add(). More...
virtual void | on_remove (Widget* widget)
| This is a default handler for the signal signal_remove(). More...
virtual void | on_check_resize ()
| This is a default handler for the signal signal_check_resize(). More...
virtual void | on_set_focus_child (Widget* widget)
| This is a default handler for the signal signal_set_focus_child(). More...
| Container ()
virtual GType | child_type_vfunc () const
virtual void | forall_vfunc (gboolean include_internals, GtkCallback callback, gpointer callback_data)
virtual char* | composite_name_vfunc (GtkWidget* child)
virtual void | set_child_property_vfunc (GtkWidget* child, guint property_id, const GValue* value, GParamSpec* pspec)
virtual void | get_child_property_vfunc (GtkWidget* child, guint property_id, GValue* value, GParamSpec* pspec) const
Glib::PropertyProxy< guint > | property_border_width ()
| The width of the empty border outside the containers children. More...
Glib::PropertyProxy_ReadOnly < guint > | property_border_width () const
| The width of the empty border outside the containers children. More...
Glib::PropertyProxy< ResizeMode > | property_resize_mode ()
| Specify how resize events are handled. More...
Glib::PropertyProxy_ReadOnly < ResizeMode > | property_resize_mode () const
| Specify how resize events are handled. More...
Glib::PropertyProxy_WriteOnly < Widget* > | property_child ()
| Can be used to add a new child to the container. More...
Protected Member Functions inherited from Gtk::Widget
virtual void | on_show ()
| This is a default handler for the signal signal_show(). More...
virtual void | on_hide ()
| This is a default handler for the signal signal_hide(). More...
virtual void | on_map ()
| This is a default handler for the signal signal_map(). More...
virtual void | on_unmap ()
| This is a default handler for the signal signal_unmap(). More...
virtual void | on_realize ()
| This is a default handler for the signal signal_realize(). More...
virtual void | on_unrealize ()
| This is a default handler for the signal signal_unrealize(). More...
virtual void | on_size_request (Requisition* requisition)
| This is a default handler for the signal signal_size_request(). More...
virtual void | on_size_allocate (Allocation& allocation)
| This is a default handler for the signal signal_size_allocate(). More...
virtual void | on_state_changed (Gtk::StateType previous_state)
| This is a default handler for the signal signal_state_changed(). More...
virtual void | on_parent_changed (Widget* previous_parent)
| This is a default handler for the signal signal_parent_changed(). More...
virtual void | on_hierarchy_changed (Widget* previous_toplevel)
| This is a default handler for the signal signal_hierarchy_changed(). More...
virtual void | on_style_changed (const Glib::RefPtr< Gtk::Style >& previous_style)
| This is a default handler for the signal signal_style_changed(). More...
virtual void | on_direction_changed (TextDirection direction)
| This is a default handler for the signal signal_direction_changed(). More...
virtual void | on_grab_notify (bool was_grabbed)
| This is a default handler for the signal signal_grab_notify(). More...
virtual void | on_child_notify (GParamSpec* pspec)
| This is a default handler for the signal signal_child_notify(). More...
virtual bool | on_mnemonic_activate (bool group_cycling)
| This is a default handler for the signal signal_mnemonic_activate(). More...
virtual void | on_grab_focus ()
| This is a default handler for the signal signal_grab_focus(). More...
virtual bool | on_focus (DirectionType direction)
| This is a default handler for the signal signal_focus(). More...
virtual bool | on_event (GdkEvent*event)
| This is a default handler for the signal signal_event(). More...
virtual bool | on_button_press_event (GdkEventButton*event)
| This is a default handler for the signal signal_button_press_event(). More...
virtual bool | on_button_release_event (GdkEventButton*event)
| This is a default handler for the signal signal_button_release_event(). More...
virtual bool | on_scroll_event (GdkEventScroll*event)
| This is a default handler for the signal signal_scroll_event(). More...
virtual bool | on_motion_notify_event (GdkEventMotion*event)
| This is a default handler for the signal signal_motion_notify_event(). More...
virtual bool | on_delete_event (GdkEventAny*event)
| This is a default handler for the signal signal_delete_event(). More...
virtual bool | on_expose_event (GdkEventExpose*event)
| This is a default handler for the signal signal_expose_event(). More...
virtual bool | on_key_press_event (GdkEventKey*event)
| This is a default handler for the signal signal_key_press_event(). More...
virtual bool | on_key_release_event (GdkEventKey*event)
| This is a default handler for the signal signal_key_release_event(). More...
virtual bool | on_enter_notify_event (GdkEventCrossing*event)
| This is a default handler for the signal signal_enter_notify_event(). More...
virtual bool | on_leave_notify_event (GdkEventCrossing*event)
| This is a default handler for the signal signal_leave_notify_event(). More...
virtual bool | on_configure_event (GdkEventConfigure*event)
| This is a default handler for the signal signal_configure_event(). More...
virtual bool | on_focus_in_event (GdkEventFocus*event)
| This is a default handler for the signal signal_focus_in_event(). More...
virtual bool | on_focus_out_event (GdkEventFocus*event)
| This is a default handler for the signal signal_focus_out_event(). More...
virtual bool | on_map_event (GdkEventAny*event)
| This is a default handler for the signal signal_map_event(). More...
virtual bool | on_unmap_event (GdkEventAny*event)
| This is a default handler for the signal signal_unmap_event(). More...
virtual bool | on_property_notify_event (GdkEventProperty*event)
| This is a default handler for the signal signal_property_notify_event(). More...
virtual bool | on_selection_clear_event (GdkEventSelection*event)
| This is a default handler for the signal signal_selection_clear_event(). More...
virtual bool | on_selection_request_event (GdkEventSelection*event)
| This is a default handler for the signal signal_selection_request_event(). More...
virtual bool | on_selection_notify_event (GdkEventSelection*event)
| This is a default handler for the signal signal_selection_notify_event(). More...
virtual bool | on_proximity_in_event (GdkEventProximity*event)
| This is a default handler for the signal signal_proximity_in_event(). More...
virtual bool | on_proximity_out_event (GdkEventProximity*event)
| This is a default handler for the signal signal_proximity_out_event(). More...
virtual bool | on_visibility_notify_event (GdkEventVisibility*event)
| This is a default handler for the signal signal_visibility_notify_event(). More...
virtual bool | on_client_event (GdkEventClient*event)
| This is a default handler for the signal signal_client_event(). More...
virtual bool | on_no_expose_event (GdkEventAny*event)
| This is a default handler for the signal signal_no_expose_event(). More...
virtual bool | on_window_state_event (GdkEventWindowState*event)
| This is a default handler for the signal signal_window_state_event(). More...
virtual void | on_selection_get (SelectionData& selection_data, guint info, guint time)
| This is a default handler for the signal signal_selection_get(). More...
virtual void | on_selection_received (const SelectionData& selection_data, guint time)
| This is a default handler for the signal signal_selection_received(). More...
virtual void | on_drag_begin (const Glib::RefPtr< Gdk::DragContext >& context)
| This is a default handler for the signal signal_drag_begin(). More...
virtual void | on_drag_end (const Glib::RefPtr< Gdk::DragContext >& context)
| This is a default handler for the signal signal_drag_end(). More...
virtual void | on_drag_data_get (const Glib::RefPtr< Gdk::DragContext >& context, SelectionData& selection_data, guint info, guint time)
| This is a default handler for the signal signal_drag_data_get(). More...
virtual void | on_drag_data_delete (const Glib::RefPtr< Gdk::DragContext >& context)
| This is a default handler for the signal signal_drag_data_delete(). More...
virtual void | on_drag_leave (const Glib::RefPtr< Gdk::DragContext >& context, guint time)
| This is a default handler for the signal signal_drag_leave(). More...
virtual bool | on_drag_motion (const Glib::RefPtr< Gdk::DragContext >& context, int x, int y, guint time)
| This is a default handler for the signal signal_drag_motion(). More...
virtual bool | on_drag_drop (const Glib::RefPtr< Gdk::DragContext >& context, int x, int y, guint time)
| This is a default handler for the signal signal_drag_drop(). More...
virtual void | on_drag_data_received (const Glib::RefPtr< Gdk::DragContext >& context, int x, int y, const SelectionData& selection_data, guint info, guint time)
| This is a default handler for the signal signal_drag_data_received(). More...
virtual Glib::RefPtr< Atk::Object > | on_get_accessible ()
| This is a default handler for the signal signal_get_accessible(). More...
virtual void | on_screen_changed (const Glib::RefPtr< Gdk::Screen >& previous_screen)
| This is a default handler for the signal signal_screen_changed(). More...
virtual void | dispatch_child_properties_changed_vfunc (guint p1, GParamSpec** p2)
virtual void | show_all_vfunc ()
virtual void | hide_all_vfunc ()
virtual Glib::RefPtr< Atk::Object > | get_accessible_vfunc ()
| Widget ()
void | realize ()
| Creates the GDK (windowing system) resources associated with a widget. More...
void | unrealize ()
| This function is only useful in widget implementations. More...
void | set_mapped (bool mapped=true)
| Marks the widget as being realized. More...
void | set_realized (bool realized=true)
| Marks the widget as being realized. More...
void | style_attach ()
| This function attaches the widget's Gtk::Style to the widget's Gdk::Window. More...
void | get_child_requisition (Requisition& requisition) const
| This function is only for use in widget implementations. More...
void | get_style_property_value (const Glib::ustring& the_property_name, Glib::ValueBase& value) const
| Gets the value of a style property of widget. More...
void | realize_if_needed ()

## Related Functions
(Note that these are not member functions.)
Gtk::Notebook* | wrap (GtkNotebook* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::Container
Gtk::Container* | wrap (GtkContainer* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::Widget
Gtk::Widget* | wrap (GtkWidget* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::Object
Gtk::Object* | wrap (GtkObject* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

Container which shows one of its children at a time, in tabbed windows.

The Gtk::Notebook widget is a Gtk::Container whose children are pages that can be switched between using tab labels along one edge.

A Notebook widget looks like this:

## Member Typedef Documentation

typedef Notebook_Helpers::PageList Gtk::Notebook::PageList

Deprecated:
  Use Notebook::get_current_page(), Notebook::get_nth_page(), etc. instead.

typedef sigc::slot<Notebook*, Widget*, int, int> Gtk::Notebook::SlotWindowCreation

For instance, Notebook* on_window_creation(Widget* page, int x, int y);.

## Constructor & Destructor Documentation

virtual Gtk::Notebook::~Notebook | ( |  | ) |
| virtual

Gtk::Notebook::Notebook | ( |  | ) |

## Member Function Documentation

int Gtk::Notebook::append_page | ( | Widget& | child,
|  | Widget& | tab_label
| ) |  |

Appends a page to notebook.

Parameters

  child | The Gtk::Widget to use as the contents of the page.
  tab_label | The Gtk::Widget to be used as the label for the page.

int Gtk::Notebook::append_page | ( | Widget& | child | ) |

int Gtk::Notebook::append_page | ( | Widget& | child,
|  | const Glib::ustring & | tab_label,
|  | bool | use_mnemonic = `false`
| ) |  |

int Gtk::Notebook::append_page | ( | Widget& | child,
|  | Widget& | tab_label,
|  | Widget& | menu_label
| ) |  |

Appends a page to notebook, specifying the widget to use as the label in the popup menu.

Parameters

  child | The Gtk::Widget to use as the contents of the page.
  tab_label | The Gtk::Widget to be used as the label for the page.
  menu_label | The widget to use as a label for the page-switch menu.

int Gtk::Notebook::append_page | ( | Widget& | child,
|  | const Glib::ustring & | tab_label,
|  | const Glib::ustring & | menu_label,
|  | bool | use_mnemonic = `false`
| ) |  |

Widget* Gtk::Notebook::get_action_widget | ( | PackType | pack_type = `PACK_START` | ) |

Gets one of the action widgets.

See set_action_widget().

Since gtkmm 2.20:

Parameters

  pack_type | Pack type of the action widget to receive.

Returns
  The action widget with the given pack_type or `0` when this action widget has not been set.

PageList::iterator Gtk::Notebook::get_current | ( |  | ) |

Deprecated:
  Use Notebook::get_current_page(), Notebook::get_nth_page(), etc. instead.

int Gtk::Notebook::get_current_page | ( |  | ) | const

Returns the page number of the current page.

Returns
  The index (starting from 0) of the current page in the notebook. If the notebook has no pages, then -1 will be returned.

void* Gtk::Notebook::get_group | ( |  | ) |

Gets the current group identificator pointer for notebook.

Since gtkmm 2.12:

Deprecated: 2.24: Use get_group_name() instead

Returns
  The group identificator, or `0` if none is set.

const void* Gtk::Notebook::get_group | ( |  | ) | const

Gets the current group identificator pointer for notebook.

Since gtkmm 2.12:

Deprecated: 2.24: Use get_group_name() instead

Returns
  The group identificator, or `0` if none is set.

int Gtk::Notebook::get_group_id | ( |  | ) | const

Gets the current group identificator for notebook.

Since gtkmm 2.10:
  Deprecated: 2.12: use get_group_name() instead.

Returns
  The group identificator, or -1 if none is set.

Glib::ustring Gtk::Notebook::get_group_name | ( |  | ) | const

Gets the current group name for notebook.

Note that this funtion can emphasis not be used together with set_group() or set_group_id().

Return Value: (transfer none): the group name, or `0` if none is set.

Since gtkmm 2.24:

Widget* Gtk::Notebook::get_menu_label | ( | Widget& | child | ) |

Retrieves the menu label widget of the page containing child.

Parameters

  child | A widget contained in a page of notebook.

Returns
  The menu label, or `0` if the notebook page does not have a menu label other than the default (the tab label).

const Widget* Gtk::Notebook::get_menu_label | ( | Widget& | child | ) | const

Retrieves the menu label widget of the page containing child.

Parameters

  child | A widget contained in a page of notebook.

Returns
  The menu label, or `0` if the notebook page does not have a menu label other than the default (the tab label).

Glib::ustring Gtk::Notebook::get_menu_label_text | ( | Widget& | child | ) | const

Retrieves the text of the menu label for the page containing child.

Parameters

  child | The child widget of a page of the notebook.

Returns
  Value: the text of the tab label.

int Gtk::Notebook::get_n_pages | ( |  | ) |

Gets the number of pages in a notebook.

Since gtkmm 2.2:

Deprecated:
  Use the const method.

Returns
  The number of pages in the notebook.

int Gtk::Notebook::get_n_pages | ( |  | ) | const

Gets the number of pages in a notebook.

Since gtkmm 2.2:

Returns
  The number of pages in the notebook.

Widget* Gtk::Notebook::get_nth_page | ( | int | page_num | ) |

Returns the child widget contained in page number page_num.

Parameters

  page_num | The index of a page in the notebook, or -1 to get the last page.

Returns
  The child widget, or `0` if page_num is out of bounds.

const Widget* Gtk::Notebook::get_nth_page | ( | int | page_num | ) | const

Returns the child widget contained in page number page_num.

Parameters

  page_num | The index of a page in the notebook, or -1 to get the last page.

Returns
  The child widget, or `0` if page_num is out of bounds.

bool Gtk::Notebook::get_scrollable | ( |  | ) | const

Returns whether the tab label area has arrows for scrolling.

See set_scrollable().

Returns
  `true` if arrows for scrolling are present.

bool Gtk::Notebook::get_show_border | ( |  | ) | const

Returns whether a bevel will be drawn around the notebook pages.

See set_show_border().

Returns
  `true` if the bevel is drawn.

bool Gtk::Notebook::get_show_tabs | ( |  | ) | const

Returns whether the tabs of the notebook are shown.

See set_show_tabs().

Returns
  `true` if the tabs are shown.

bool Gtk::Notebook::get_tab_detachable | ( | Widget& | child | ) | const

Returns whether the tab contents can be detached from notebook.

Since gtkmm 2.10:

Parameters

  child | A child Gtk::Widget.

Returns
  `true` if the tab is detachable.

guint16 Gtk::Notebook::get_tab_hborder | ( |  | ) | const

Returns the horizontal width of a tab border.

Since gtkmm 2.22:

Returns
  Horizontal width of a tab border.

Widget* Gtk::Notebook::get_tab_label | ( | Widget& | child | ) |

Returns the tab label widget for the page child.

`0` is returned if child is not in notebook or if no tab label has specifically been set for child.

Parameters

  child | The page.

Returns
  The tab label.

const Widget* Gtk::Notebook::get_tab_label | ( | Widget& | child | ) | const

Returns the tab label widget for the page child.

`0` is returned if child is not in notebook or if no tab label has specifically been set for child.

Parameters

  child | The page.

Returns
  The tab label.

Glib::ustring Gtk::Notebook::get_tab_label_text | ( | Widget& | child | ) | const

Retrieves the text of the tab label for the page containing child.

Parameters

  child | A widget contained in a page of notebook.

Returns
  Value: the text of the tab label.

PositionType Gtk::Notebook::get_tab_pos | ( |  | ) | const

Gets the edge at which the tabs for switching pages in the notebook are drawn.

Returns
  The edge at which the tabs are drawn.

bool Gtk::Notebook::get_tab_reorderable | ( | Widget& | child | ) | const

Gets whether the tab can be reordered via drag and drop or not.

Since gtkmm 2.10:

Parameters

  child | A child Gtk::Widget.

Returns
  `true` if the tab is reorderable.

guint16 Gtk::Notebook::get_tab_vborder | ( |  | ) | const

Returns the vertical width of a tab border.

Since gtkmm 2.22:

Returns
  Vertical width of a tab border.

GtkNotebook* Gtk::Notebook::gobj | ( |  | ) |
| inline

Provides access to the underlying C GtkObject.

const GtkNotebook* Gtk::Notebook::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GtkObject.

int Gtk::Notebook::insert_page | ( | Widget& | child,
|  | Widget& | tab_label,
|  | int | position
| ) |  |

Insert a page into notebook at the given position.

Parameters

  child | The Gtk::Widget to use as the contents of the page.
  tab_label | The Gtk::Widget to be used as the label for the page.
  position | The index (starting at 0) at which to insert the page, or -1 to append the page after all other pages.

int Gtk::Notebook::insert_page | ( | Widget& | child,
|  | int | position
| ) |  |

int Gtk::Notebook::insert_page | ( | Widget& | child,
|  | const Glib::ustring & | tab_label,
|  | int | position,
|  | bool | use_mnemonic = `false`
| ) |  |

int Gtk::Notebook::insert_page | ( | Widget& | child,
|  | Widget& | tab_label,
|  | Widget& | menu_label,
|  | int | position
| ) |  |

Insert a page into notebook at the given position, specifying the widget to use as the label in the popup menu.

Parameters

  child | The Gtk::Widget to use as the contents of the page.
  tab_label | The Gtk::Widget to be used as the label for the page..
  menu_label | The widget to use as a label for the page-switch menu.
  position | The index (starting at 0) at which to insert the page, or -1 to append the page after all other pages.

int Gtk::Notebook::insert_page | ( | Widget& | child,
|  | const Glib::ustring & | tab_label,
|  | const Glib::ustring & | menu_label,
|  | int | position,
|  | bool | use_mnemonic = `false`
| ) |  |

void Gtk::Notebook::next_page | ( |  | ) |

Switches to the next page.

Nothing happens if the current page is the last page.

virtual void Gtk::Notebook::on_switch_page | ( | GtkNotebookPage * | page,
|  | guint | page_num
| ) |  |
| protectedvirtual

This is a default handler for the signal signal_switch_page().

int Gtk::Notebook::page_num | ( | const Widget& | child | ) |

Finds the index of the page which contains the given child widget.

Deprecated:
  Use the const method.

Parameters

  child | A Gtk::Widget.

Returns
  The index of the page containing child, or -1 if child is not in the notebook.

int Gtk::Notebook::page_num | ( | const Widget& | child | ) | const

Finds the index of the page which contains the given child widget.

Parameters

  child | A Gtk::Widget.

Returns
  The index of the page containing child, or -1 if child is not in the notebook.

PageList& Gtk::Notebook::pages | ( |  | ) |

Deprecated:
  Use Notebook::get_current_page(), Notebook::get_nth_page(), etc. instead.

const PageList& Gtk::Notebook::pages | ( |  | ) | const

Deprecated:
  Use Notebook::get_current_page(), Notebook::get_nth_page(), etc. instead.

void Gtk::Notebook::popup_disable | ( |  | ) |

Disables the popup menu.

void Gtk::Notebook::popup_enable | ( |  | ) |

Enables the popup menu: if the user clicks with the right mouse button on the tab labels, a menu with all the pages will be popped up.

int Gtk::Notebook::prepend_page | ( | Widget& | child,
|  | Widget& | tab_label
| ) |  |

Prepends a page to notebook.

Parameters

  child | The Gtk::Widget to use as the contents of the page.
  tab_label | The Gtk::Widget to be used as the label for the page.

int Gtk::Notebook::prepend_page | ( | Widget& | child | ) |

int Gtk::Notebook::prepend_page | ( | Widget& | child,
|  | const Glib::ustring & | tab_label,
|  | bool | use_mnemonic = `false`
| ) |  |

int Gtk::Notebook::prepend_page | ( | Widget& | child,
|  | Widget& | tab_label,
|  | Widget& | menu_label
| ) |  |

Prepends a page to notebook, specifying the widget to use as the label in the popup menu.

Parameters

  child | The Gtk::Widget to use as the contents of the page.
  tab_label | The Gtk::Widget to be used as the label for the page.
  menu_label | The widget to use as a label for the page-switch menu.

int Gtk::Notebook::prepend_page | ( | Widget& | child,
|  | const Glib::ustring & | tab_label,
|  | const Glib::ustring & | menu_label,
|  | bool | use_mnemonic
| ) |  |

void Gtk::Notebook::prev_page | ( |  | ) |

Switches to the previous page.

Nothing happens if the current page is the first page.

Glib::PropertyProxy< bool > Gtk::Notebook::property_enable_popup | ( |  | ) |

If TRUE, pressing the right mouse button on the notebook pops up a menu that you can use to go to a page.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Notebook::property_enable_popup | ( |  | ) | const

If TRUE, pressing the right mouse button on the notebook pops up a menu that you can use to go to a page.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< void* > Gtk::Notebook::property_group | ( |  | ) |

Group for tabs drag and drop.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< void* > Gtk::Notebook::property_group | ( |  | ) | const

Group for tabs drag and drop.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Notebook::property_group_id | ( |  | ) |

Group ID for tabs drag and drop.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Notebook::property_group_id | ( |  | ) | const

Group ID for tabs drag and drop.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Notebook::property_homogeneous | ( |  | ) |

Whether tabs should have homogeneous sizes.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Notebook::property_homogeneous | ( |  | ) | const

Whether tabs should have homogeneous sizes.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::Notebook::property_page | ( |  | ) |

The index of the current page.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::Notebook::property_page | ( |  | ) | const

The index of the current page.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Notebook::property_scrollable | ( |  | ) |

If TRUE, scroll arrows are added if there are too many tabs to fit.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Notebook::property_scrollable | ( |  | ) | const

If TRUE, scroll arrows are added if there are too many tabs to fit.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Notebook::property_show_border | ( |  | ) |

Whether the border should be shown or not.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Notebook::property_show_border | ( |  | ) | const

Whether the border should be shown or not.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Notebook::property_show_tabs | ( |  | ) |

Whether tabs should be shown or not.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Notebook::property_show_tabs | ( |  | ) | const

Whether tabs should be shown or not.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly< guint > Gtk::Notebook::property_tab_border | ( |  | ) |

Width of the border around the tab labels.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_WriteOnly that allows you to set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint > Gtk::Notebook::property_tab_hborder | ( |  | ) |

Width of the horizontal border of tab labels.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint > Gtk::Notebook::property_tab_hborder | ( |  | ) | const

Width of the horizontal border of tab labels.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< PositionType > Gtk::Notebook::property_tab_pos | ( |  | ) |

Which side of the notebook holds the tabs.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< PositionType > Gtk::Notebook::property_tab_pos | ( |  | ) | const

Which side of the notebook holds the tabs.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint > Gtk::Notebook::property_tab_vborder | ( |  | ) |

Width of the vertical border of tab labels.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint > Gtk::Notebook::property_tab_vborder | ( |  | ) | const

Width of the vertical border of tab labels.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

void Gtk::Notebook::query_tab_label_packing | ( | Widget& | child,
|  | bool & | expand,
|  | bool & | fill,
|  | PackType& | pack_type
| ) |  |

Deprecated:
  Modify the "tab-expand" and "tab-fill" child properties instead.

void Gtk::Notebook::remove_page | ( | int | page_num = `0` | ) |

Removes a page from the notebook given its index in the notebook.

Parameters

  page_num | The index of a notebook page, starting from 0. If -1, the last page will be removed.

void Gtk::Notebook::remove_page | ( | Widget& | child | ) |

void Gtk::Notebook::reorder_child | ( | Widget& | child,
|  | int | position
| ) |  |

Reorders the page containing child, so that it appears in position position.

If position is greater than or equal to the number of children in the list or negative, child will be moved to the end of the list.

Parameters

  child | The child to move.
  position | The new position, or -1 to move to the end.

void Gtk::Notebook::set_action_widget | ( | Widget* | widget,
|  | PackType | pack_type = `PACK_START`
| ) |  |

Sets widget as one of the action widgets.

Depending on the pack type the widget will be placed before or after the tabs. You can use a Gtk::Box if you need to pack more than one widget on the same side.

Note that action widgets are "internal" children of the notebook and thus not included in the list returned from Gtk::Container::foreach().

Since gtkmm 2.20:

Parameters

  widget | A Gtk::Widget.
  pack_type | Pack type of the action widget.

void Gtk::Notebook::set_current_page | ( | int | page_num | ) |

Switches to the page number page_num.

Note that due to historical reasons, GtkNotebook refuses to switch to a page unless the child widget is visible. Therefore, it is recommended to show child widgets before adding them to a notebook.

Parameters

  page_num | Index of the page to switch to, starting from 0. If negative, the last page will be used. If greater than the number of pages in the notebook, nothing will be done.

void Gtk::Notebook::set_group | ( | void * | group | ) |

Sets a group identificator pointer for notebook, notebooks sharing the same group identificator pointer will be able to exchange tabs via drag and drop.

A notebook with a `0` group identificator will not be able to exchange tabs with any other notebook.

Since gtkmm 2.12:

Deprecated: 2.24: Use set_group_name() instead

Parameters

  group | A pointer to identify the notebook group, or `0` to unset it.

void Gtk::Notebook::set_group_id | ( | int | group_id | ) |

Sets an group identificator for notebook, notebooks sharing the same group identificator will be able to exchange tabs via drag and drop.

A notebook with group identificator -1 will not be able to exchange tabs with any other notebook.

Since gtkmm 2.10:
  Deprecated: 2.12: use set_group_name() instead.

Parameters

  group_id | A group identificator, or -1 to unset it.

void Gtk::Notebook::set_group_name | ( | const Glib::ustring & | group_name | ) |

Sets a group name for notebook.

Notebooks with the same name will be able to exchange tabs via drag and drop. A notebook with a `0` group name will not be able to exchange tabs with any other notebook.

Since gtkmm 2.24:

Parameters

  name | The name of the notebook group, or `0` to unset it.

void Gtk::Notebook::set_menu_label | ( | Widget& | child,
|  | Widget& | menu_label
| ) |  |

Changes the menu label for the page containing child.

Parameters

  child | The child widget.
  menu_label | The menu label, or `0` for default.

void Gtk::Notebook::set_menu_label_text | ( | Widget& | child,
|  | const Glib::ustring & | menu_text
| ) |  |

Creates a new label and sets it as the menu label of child.

Parameters

  child | The child widget.
  menu_text | The label text.

void Gtk::Notebook::set_scrollable | ( | bool | scrollable = `true` | ) |

Sets whether the tab label area will have arrows for scrolling if there are too many tabs to fit in the area.

Parameters

  scrollable | `true` if scroll arrows should be added.

void Gtk::Notebook::set_show_border | ( | bool | show_border = `true` | ) |

Sets whether a bevel will be drawn around the notebook pages.

This only has a visual effect when the tabs are not shown. See set_show_tabs().

Parameters

  show_border | `true` if a bevel should be drawn around the notebook.

void Gtk::Notebook::set_show_tabs | ( | bool | show_tabs = `true` | ) |

Sets whether to show the tabs for the notebook or not.

Parameters

  show_tabs | `true` if the tabs should be shown.

void Gtk::Notebook::set_tab_detachable | ( | Widget& | child,
|  | bool | detachable = `true`
| ) |  |

Sets whether the tab can be detached from notebook to another notebook or widget.

Note that 2 notebooks must share a common group identificator (see set_group_id()) to allow automatic tabs interchange between them.

If you want a widget to interact with a notebook through DnD (i.e.: accept dragged tabs from it) it must be set as a drop destination and accept the target "GTK_NOTEBOOK_TAB". The notebook will fill the selection with a GtkWidget** pointing to the child widget that corresponds to the dropped tab.

[C example ellipted]

If you want a notebook to accept drags from other widgets, you will have to set your own DnD code to do it.

Since gtkmm 2.10:

Parameters

  child | A child Gtk::Widget.
  detachable | Whether the tab is detachable or not.

void Gtk::Notebook::set_tab_label | ( | Widget& | child,
|  | Widget& | tab_label
| ) |  |

Changes the tab label for child.

If `0` is specified for tab_label, then the page will have the label 'page N'.

Parameters

  child | The page.
  tab_label | The tab label widget to use, or `0` for default tab label.

void Gtk::Notebook::set_tab_label_packing | ( | Widget& | child,
|  | bool | expand,
|  | bool | fill,
|  | PackType | pack_type
| ) |  |

Sets the packing parameters for the tab label of the page containing child.

See Gtk::Box::pack_start() for the exact meaning of the parameters.

Deprecated: 2.20: Modify the Gtk::Notebook::property_tab_expand() and Gtk::Notebook::property_tab_fill() child properties instead. Modifying the packing of the tab label is a deprecated feature and shouldn't be done anymore.

Parameters

  child | The child widget.
  expand | Whether to expand the tab label or not.
  fill | Whether the tab label should fill the allocated area or not.
  pack_type | The position of the tab label.

void Gtk::Notebook::set_tab_label_text | ( | Widget& | child,
|  | const Glib::ustring & | tab_text
| ) |  |

Creates a new label and sets it as the tab label for the page containing child.

Parameters

  child | The page.
  tab_text | The label text.

void Gtk::Notebook::set_tab_pos | ( | PositionType | pos | ) |

Sets the edge at which the tabs for switching pages in the notebook are drawn.

Parameters

  pos | The edge to draw the tabs at.

void Gtk::Notebook::set_tab_reorderable | ( | Widget& | child,
|  | bool | reorderable = `true`
| ) |  |

Sets whether the notebook tab can be reordered via drag and drop or not.

Since gtkmm 2.10:

Parameters

  child | A child Gtk::Widget.
  reorderable | Whether the tab is reorderable or not.

static void Gtk::Notebook::set_window_creation_hook | ( | const SlotWindowCreation& | slot | ) |
| static

Deprecated:
  Use the GtkNotebook::create-window signal instead.

Glib::SignalProxy2< void,Widget*,guint > Gtk::Notebook::signal_page_added | ( |  | ) |

Slot Prototype:
  `void on_my_page_added(Widget* page, guint page_num)`

Glib::SignalProxy2< void,Widget*,guint > Gtk::Notebook::signal_page_removed | ( |  | ) |

Slot Prototype:
  `void on_my_page_removed(Widget* page, guint page_num)`

Glib::SignalProxy2< void,Widget*,guint > Gtk::Notebook::signal_page_reordered | ( |  | ) |

Slot Prototype:
  `void on_my_page_reordered(Widget* page, guint page_num)`

Glib::SignalProxy2< void,GtkNotebookPage*,guint > Gtk::Notebook::signal_switch_page | ( |  | ) |

Slot Prototype:
  `void on_my_switch_page(GtkNotebookPage* page, guint page_num)`

## Friends And Related Function Documentation

Gtk::Notebook* wrap | ( | GtkNotebook * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/notebook.h